# python_live_plot.py

import random
from itertools import count
import matplotlib.pyplot as plt
from matplotlib.animation import FuncAnimation
from collections import deque

plt.style.use('fivethirtyeight')

x_values = deque([0]*50, maxlen=50)
y_values = deque([0]*50, maxlen=50)

index = count()

def animate(i):
    x_values.append(next(index))
    y_values.append(random.randint(0, 5))
    plt.cla()
    plt.plot(list(x_values), list(y_values))


ani = FuncAnimation(plt.gcf(), animate, 1000)


plt.tight_layout()
plt.show()